## Modulemd.Profile (Private) Modulemd.Profile (Private) — ModulemdProfile methods that should be used only by internal consumers. |

## Stability Level

Private, unless otherwise indicated

## Functions

ModulemdProfile * | modulemd_profile_parse_yaml ()
gboolean | modulemd_profile_emit_yaml ()
gboolean | modulemd_profile_equals_wrapper ()
void | modulemd_profile_set_owner ()

## Description

## Functions

### modulemd_profile_parse_yaml ()

    ModulemdProfile *
    modulemd_profile_parse_yaml (yaml_parser_t *parser,
                                 const gchar *name,
                                 gboolean strict,
                                 GError **error);

#### Parameters

parser | A libyaml parser object positioned at the beginning of a Profile entry in the YAML document. | [inout]
name | The name of this profile. | [in]
strict | Whether the parser should return failure if it encounters an unknown mapping key or if it should ignore it. | [in]
error | A GError that will return the reason for a parsing or validation error. | [out]

#### Returns

A newly-allocated ModulemdProfile object read from the YAML. NULL if a parse or validation error occurred and sets `error` appropriately.

[transfer full]

Since: 2.0

### modulemd_profile_emit_yaml ()

    gboolean
    modulemd_profile_emit_yaml (ModulemdProfile *self,
                                yaml_emitter_t *emitter,
                                GError **error);

#### Parameters

self | This ModulemdProfile object. |
emitter | A libyaml emitter object positioned where a Profile belongs in the YAML document. | [inout]
error | A GError that will return the reason for an emission or validation error. | [out]

#### Returns

TRUE if the profile was emitted successfully. FALSE and sets `error` appropriately if the YAML could not be emitted.

Since: 2.0

### modulemd_profile_equals_wrapper ()

    gboolean
    modulemd_profile_equals_wrapper (const void *a,
                                     const void *b);

#### Parameters

a | A const void pointer. |
b | A const void pointer. |

#### Returns

TRUE, if both arguments are pointers to ModulemdProfile objects and all elements of both objects are equal. FALSE, otherwise.

Since: 2.5

### modulemd_profile_set_owner ()

    void
    modulemd_profile_set_owner (ModulemdProfile *self,
                                ModulemdModuleStream *owner);

#### Parameters

self | This ModulemdProfile object. |
owner | A ModulemdModuleStream that will own this profile. Used to look up translations internally. |

Since: 2.6